# samples/backend/v4l2_backend_csvparser.cpp File Reference

`#include <iostream>`
`#include <cstdlib>`
`#include <cstring>`
`#include "v4l2_backend_test.h"`

Go to the source code of this file.

## Defines

#define | CHECK_OPTION_VALUE(argp)
#define | CSV_PARSE_CHECK_ERROR(condition, str)

## Functions

void | print_help (void)
int | parse_csv_args (context_t *ctx, int argc, char *argv[])
void | parse_global (global_cfg *cfg, int argc, char ***argv)

## Define Documentation

#define CHECK_OPTION_VALUE | ( | argp |  | ) |

Value:

    if(!*argp || (*argp)[0] == '-') \
                                    { \
                                        cerr << "Error: value not specified for option " << arg << endl; \
                                        goto error; \
                                    }

Definition at line 37 of file v4l2_backend_csvparser.cpp.

#define CSV_PARSE_CHECK_ERROR | ( | condition,
|  | str |  | ) |

Value:

    if (condition) {\
        cerr << "Error: " << str << endl; \
        goto error; \
        }

Definition at line 43 of file v4l2_backend_csvparser.cpp.

## Function Documentation

int parse_csv_args | ( | context_t * | ctx,
|  | int | argc,
|  | char * | argv[] |
| ) |  |  |

Definition at line 89 of file v4l2_backend_csvparser.cpp.

void parse_global | ( | global_cfg * | cfg,
|  | int | argc,
|  | char *** | argv |
| ) |  |  |

Definition at line 247 of file v4l2_backend_csvparser.cpp.

void print_help | ( | void |  | ) |

Definition at line 52 of file v4l2_backend_csvparser.cpp.